.aside {
  position: fixed;
  top: 0;
  left: 0;
  height: 100vh;
  z-index: 999;
  width: 0;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  padding: 20px 0;
  background: var(--vitrine-base-color);
}
.aside .btn-menu-close {
  font-size: 2rem;
  position: absolute;
  top: 10px;
  right: 10px;
  z-index: 50;
}
.aside .btn-menu-close > img {
  height: 2.5rem;
  width: auto;
  vertical-align: -0.5rem;
}
.aside__content {
  border-right: solid 2px var(--vitrine-black-color-2);
  height: 100%;
  padding: 0 20px;
  width: 100%;
}
.aside__top {
  display: flex;
  flex-direction: row;
  align-items: center;
  width: 100%;
  border-bottom: solid 2px var(--vitrine-black-color);
  padding-bottom: 1rem;
  transform-origin: left;
}
.aside .header__navbar .header__nav-item .header__nav-link {
  font-size: 1.125rem;
}
.aside__bottom {
  margin-top: 3rem;
}

/* -------- LOGO SECTION --------- */

.logo {
  font-family: 'Hanson Bold', sans-serif;
  text-align: right;
  position: relative;
  width: fit-content;
  margin-bottom: 2rem;
}
.aside .logo-img {
  height: 10rem;
  width: auto;
  margin-bottom: 2rem;
}
.logo__title {
  position: relative;
  z-index: 1;
  font-size: 4rem;
  display: flex;
  flex-direction: column;
  line-height: 0.85;
  text-transform: uppercase;
  width: max-content;
}
.logo__square {
  position: absolute;
  z-index: 2;
  top: 50%;
  left: 50%;
  transform: translate(-57%, -55%);
  clip-path: polygon(0% 0%, 100% 6%, 100% 94%, 0% 100%);
  display: flex;
  width: 72%;
  height: 72%;
  background: var(--vitrine-white-alpha-color);
}

.logo__title > * {
  flex: 1;
  width: 100%;
  letter-spacing: 0.1em;
}

.logo__title > *:first-child {
  text-align: left;
}

.logo__title > *:nth-child(2),
.logo__title > *:last-child {
  text-align: right;
}

/* ----------- LOGO BASELINE SECTION --------- */
.baseline {
  font-family: 'DIN 1451 Mittelschrift', sans-serif;
  font-size: 1rem;
  display: flex;
  flex-direction: column;
  font-weight: 400;
  text-align: start;
  margin-top: 8px;
  padding-right: 7px;
  padding-left: 7px;
  line-height: 1.25;
  letter-spacing: -0.01rem;
  text-wrap: nowrap;
  align-self: end;
}

.chevron-right-icon {
  height: 1.25rem;
  width: auto;
  vertical-align: -0.25rem;
}

/* --------- Mobile in landscape only ------------- */
@media screen and (max-width: 1024px) and (orientation: landscape) {
  .aside__content {
    display: flex;
    flex-direction: row;
  }
  .header__nav-list {
    display: grid;
    grid-auto-flow: column;
    grid-auto-rows: auto;
    grid-template-rows: repeat(3, auto);
    align-items: center;
  }
  .aside__top {
    width: fit-content;
    padding: 0 20px;
    border-bottom: none;
    border-right: solid 2px var(--vitrine-black-color-2);
  }
  .aside__bottom {
    display: flex;
    align-items: center;
    padding: 0 20px;
    margin-top: 0;
  }
  .aside {
    height: 100dvh;
  }
  .baseline {
    align-self: auto;
    transform: translate(0, 2.5rem);
  }
}

/* ---------- Large Mobile --------- */
@media screen and (min-width: 480px) {
}

/* ------------- Tablet ---------- */
@media screen and (min-width: 768px) {
}

/* ------------ Small Laptop ---------- */
@media screen and (min-width: 1024px) {
  .logo__square {
    transform: translate(-57%, -47%);
  }
  .logo,
  .aside .logo-img {
    margin-bottom: 0;
  }
  .aside .logo-img {
    height: 10rem;
  }
  .logo__title {
    font-size: clamp(2.5rem, 1rem + 3.25vw, 4rem);
  }
  .baseline {
    font-size: clamp(0.875rem, 1.15vw, 1rem);
    text-align: right;
    align-self: auto;
    padding-right: 0;
  }
  .aside .btn-menu-close {
    display: none;
  }
  .aside__top {
    flex-direction: column;
    align-items: initial;
    border-bottom: none;
    width: fit-content;
  }
  .aside {
    position: sticky;
    width: auto;
    overflow: visible;
    z-index: auto;
  }
  .aside .header__navbar {
    display: none;
    overflow: auto;
  }
  .aside__content {
    width: fit-content;
  }
}

/* ------------ Laptop ---------- */
@media screen and (min-width: 1280px) {
}

/* ------------ Large Screen ---------- */
@media screen and (min-width: 1526px) {
}

/* ------------ Desktop ---------- */
@media screen and (min-width: 1920px) {
}
